## org.apache.myfaces.custom.selectOneLanguage
Class SelectOneLanguageTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.taglib.html.HtmlComponentTagBase
                  org.apache.myfaces.taglib.html.HtmlInputTagBase
                      org.apache.myfaces.taglib.html.HtmlSelectMenuTagBase
                          org.apache.myfaces.taglib.html.ext.HtmlSelectOneMenuTag
                              org.apache.myfaces.custom.selectOneLanguage.SelectOneLanguageTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class SelectOneLanguageTag
extends HtmlSelectOneMenuTag

Version:
  $Revision: 191589 $ $Date: 2005-05-11 12:14:23 -0400 (Wed, 11 May 2005) $
Author:
  Sylvain Vieujot (latest modification by $Author: svieujot $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SelectOneLanguageTag()`

Method Summary
`java.lang.String` `getComponentType()`
`java.lang.String` `getRendererType()`
`void` `release()`
`void` `setMaxLength(java.lang.String maxLength)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`

Methods inherited from class org.apache.myfaces.taglib.html.ext.HtmlSelectOneMenuTag
`setDisplayValueOnly, setDisplayValueOnlyStyle, setDisplayValueOnlyStyleClass, setEnabledOnUserRole, setVisibleOnUserRole`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlSelectMenuTagBase
`setBorder, setDatafld, setDataformatas, setDatasrc, setDisabled, setDisabledClass, setEnabledClass, setName, setOnblur, setOnchange, setOnfocus, setOnselect, setTabindex`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlInputTagBase
`setImmediate, setReadonly, setRequired, setValidator, setValueChangeListener`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectOneLanguageTag

    public SelectOneLanguageTag()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

  Overrides:
    `getComponentType` in class `HtmlSelectOneMenuTag`

### getRendererType

    public java.lang.String getRendererType()

  Overrides:
    `getRendererType` in class `HtmlSelectOneMenuTag`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlSelectOneMenuTag`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlSelectOneMenuTag`

### setMaxLength

    public void setMaxLength(java.lang.String maxLength)